from abc import abstractmethod
from typing import Protocol

from clifinance.domain.expense.model import Expense


class FileDriver(Protocol):
    @abstractmethod
    def read(self):
        raise NotImplementedError

    @abstractmethod
    def write(self, data: list[Expense]):
        raise NotImplementedError
