from clifinance.domain.error import DomainError, DomainValidationError


class ExpenseValidationError(DomainValidationError):
    pass


class ExpenseError(DomainError):
    pass


class ExpenseNotFoundError(ExpenseError):
    pass


class ExpenseAlreadyExistsError(ExpenseError):
    pass
